<div>
    <button *ngIf="supervisor?.running" (click)="supervisor?.stop()">Stop layout</button>
    <button *ngIf="!supervisor?.running" (click)="supervisor?.start()">Start layout</button>
    <input [(ngModel)]="layoutTime" type="number"/>
    <button (click)="resetConfig()">Reset</button>
    <button (click)="showSupervisorConfig = !showSupervisorConfig">Config</button>
    <div *ngIf="showSupervisorConfig" class="supervisor-config">
        <div *ngFor="let prop of supervisorConfig | keyvalue">
            <label>{{prop.key}}</label>
            <input *ngIf="!!supervisorConfig[prop.key].toFixed" type="number" [(ngModel)]="supervisorConfig[prop.key]" (input)="runConfig()"/>
            <select *ngIf="!supervisorConfig[prop.key].toFixed" [(ngModel)]="supervisorConfig[prop.key]" (change)="runConfig()">
                <option [ngValue]="true">true</option>
                <option [ngValue]="false">false</option>
            </select>
        </div>
    </div>
</div>
<div *ngFor="let filter of filters; let index = index;">
    <label>Filter {{index + 1}}</label>
    
    <select [(ngModel)]="filter.type" (change)="filterSubject.next(filter)">
        <option *ngFor="let type of types">{{type}}</option>
    </select>
    <input name="nodeSearch" [(ngModel)]="filter.value" (input)="filterSubject.next(filter)"/>
    <button (click)="searchStart(filter)">Search</button>
    <div class="autocomplete" *ngIf="filter.hint">
        <ul>
            <li *ngFor="let h of filter.hint" (click)="searchStart(filter, h)">
                {{h.label}}
            </li>
        </ul>
    </div>
    <button *ngIf="index < 11" (click)="removeFilter(filter)">Remove filter</button>
    <a *ngIf="filter.id" target="_blank" [href]="filter.id">{{filter.id}}</a>
</div>
<div>
    Nodes: {{nodesForFilter?.length}}
    Edges: {{edgesForFilter?.length}}
</div>
<div id="container">

</div>
